/// <amd-module name="@typedorm/common/src/logger/debug-logger" />
export declare enum TRANSFORM_TYPE {
    GET = "GET",
    PUT = "PUT",
    UPDATE = "UPDATE",
    DELETE = "DELETE",
    QUERY = "QUERY",
    RESPONSE = "RESPONSE"
}
export declare enum MANAGER_NAME {
    ENTITY_MANAGER = "ENTITY MANAGER",
    TRANSACTION_MANAGER = "TRANSACTION MANAGER",
    BATCH_MANAGER = "BATCH MANAGER"
}
export declare enum TRANSFORM_TRANSACTION_TYPE {
    TRANSACTION_WRITE = "TRANSACTION_WRITE",
    TRANSACTION_READ = "TRANSACTION_READ"
}
export declare enum TRANSFORM_BATCH_TYPE {
    BATCH_WRITE = "BATCH_WRITE",
    BATCH_READ = "BATCH_READ"
}
export declare class DebugLogger {
    private debugTransformLog;
    private debugTransformBatchLog;
    private debugTransformTransactionLog;
    private debugInfoLog;
    private debugWarnLog;
    private debugErrorLog;
    logTransform(operation: TRANSFORM_TYPE, prefix: string, entityName: string, primaryKey: any, body?: any, options?: any): void;
    logTransformBatch(operation: TRANSFORM_BATCH_TYPE, prefix: string, body?: any, options?: any): void;
    logTransformTransaction(operation: TRANSFORM_TRANSACTION_TYPE, prefix: string, body?: any, options?: any): void;
    logInfo(scope: MANAGER_NAME, log: string): void;
    logWarn(scope: MANAGER_NAME, log: string): void;
    logError(scope: MANAGER_NAME, log: any): void;
    private ensurePrintable;
}
